# gdcmStaticAssert.h File Reference

Go to the source code of this file.

## Classes
struct | gdcm::static_assert_test< x >
struct | gdcm::STATIC_ASSERTION_FAILURE< true >
## Namespaces
namespace | gdcm
## Defines
#define | GDCM_DO_JOIN(X, Y) GDCM_DO_JOIN2(X,Y)
#define | GDCM_DO_JOIN2(X, Y) X##Y
#define | GDCM_JOIN(X, Y) GDCM_DO_JOIN( X, Y )
#define | GDCM_STATIC_ASSERT(B)
| The GDCM_JOIN + __LINE__ is needed to create a uniq identifier.

## Define Documentation

#define GDCM_DO_JOIN | ( | X,
|  | Y |  | ) | GDCM_DO_JOIN2(X,Y)

#define GDCM_DO_JOIN2 | ( | X,
|  | Y |  | ) | X##Y

#define GDCM_JOIN | ( | X,
|  | Y |  | ) | GDCM_DO_JOIN( X, Y )

#define GDCM_STATIC_ASSERT | ( | B |  | ) |

Value:

    typedef ::gdcm::static_assert_test<\
        sizeof(::gdcm::STATIC_ASSERTION_FAILURE< (bool)( B ) >)>\
          GDCM_JOIN(gdcm_static_assert_typedef_, __LINE__)

The GDCM_JOIN + __LINE__ is needed to create a uniq identifier.